package servidor.remoto;

import java.util.InputMismatchException;
import java.util.Scanner;


public class RemotoMain
{
	
	public static void main(String[] args)
	{
		@SuppressWarnings("resource")
		Scanner kbd = new Scanner(System.in);
		int port;
		String ip, pass;
		
		if (args.length > 0)
			port = Integer.parseInt(args[0]);
		else
		{
			while (true)
			{
				try
				{
					System.out.print("Introduzca puerto: ");
					port = kbd.nextInt();
				}
				catch (InputMismatchException e)
				{
					kbd.nextLine();
					continue;
				}
				break;
			}
		}
		if (args.length > 1)
			ip = args[1];
		else
		{
			System.out.print("Introduzca IP: ");
			ip = kbd.next();
		}
		if (args.length > 2)
			pass = args[1];
		else
		{
			System.out.print("Introduzca password: ");
			pass = kbd.next();
		}
		
		ControlodarRemoto rc = new ControlodarRemoto();
		if (rc.init(port, ip, pass))
			rc.start();
	}
}
